Bug 114563 - Bugzilla has 1:1 mapping to Issue Trackers, should be 1:N
Bugzilla has 1:1 mapping to Issue Trackers, should be 1:N
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Featurezilla (Show other bugs)
2.8
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-29 11:58 EST by Robert Perkins
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 10:42:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Perkins 2004-01-29 11:58:08 EST
Description of problem:
In product management, we are using Issue Tracker for our partners to
enter feature requests.   Several partners might request the same
thing (e.g. Fujitsu, NEC, IBM all request "persistent device naming").
 This is covered by one
Featurezilla.https://bugzilla.redhat.com/bugzilla/show_bug.cgi?format=ft&id=108640

Each partner may have different requirements, captured in Issue
Tracker, that flow into 1 Featurezilla.  However, the Featurezilla
"cross reference" only seems to allow for 1 cross reference, that is,
a 1:1 mapping from a FZ to a IT.

Is this the case?  If so, it should allow for a 1:n mapping.
Issue Tracker allows for a 1:n mapping in the other direction (1 IT
may map to multiple FZs).


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Go to the bugzilla above
2.  Enter more than one cross ref in the format IT_11384 IT_11385
3.  The cross reference hyperlink on the form is then broken; when you
click on it, instead of going to IT_384, it breaks the URL.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Lawrence 2004-12-21 10:42:13 EST
Should be addressed now in the current beta of the new Bugzilla. There is a new
Issue Trackers field where multiple issue tracker id's can be entered. This will
obsolete eventually the old way which was using the Alias field or URL field.
Please let me know if you need perms to see the new Issue Tracker field in the beta.

Note You need to log in before you can comment on or make changes to this bug.